<?php
/**
 * Pixel Charity Nonprofit Theme Customizer
 *
 * @package Pixel Charity Nonprofit
 */

// Customize Controls.
require get_template_directory() . '/inc/custom-settings-control/customize-controls.php';

// Customize Controls.
require get_template_directory() . '/inc/custom-range-controls.php';

// Sanitization For Customize Controls.
require get_template_directory() . '/inc/custom-settings-control/sanitization.php';

/**
 * Provide postMessage support for the Theme Customizer's site title and description.
 */
function pixel_charity_nonprofit_customize_register( $wp_customize ) {

	// General Settings Panel.
    $wp_customize->add_panel( 'pixel_charity_nonprofit_general_settings_panel',
        array(
            'title'      => esc_html__( 'General Settings', 'pixel-charity-nonprofit' ),
            'priority'   => 2,
            'capability' => 'edit_theme_options',
        )
    );

    // Header Settings Panel.
    $wp_customize->add_panel( 'pixel_charity_nonprofit_header_settings_panel',
        array(
            'title'      => esc_html__( 'Header Settings', 'pixel-charity-nonprofit' ),
            'priority'   => 2,
            'capability' => 'edit_theme_options',
        )
    );

    // Frontpage Sections Settings Panel.
    $wp_customize->add_panel( 'pixel_charity_nonprofit_frontpage_sections_settings_panel',
        array(
            'title'      => esc_html__( 'Frontpage Sections Settings', 'pixel-charity-nonprofit' ),
            'priority'   => 3,
            'capability' => 'edit_theme_options',
        )
    );

    // Footer Settings Panel.
    $wp_customize->add_panel( 'pixel_charity_nonprofit_footer_settings_panel',
        array(
            'title'      => esc_html__( 'Footer Settings', 'pixel-charity-nonprofit' ),
            'priority'   => 3,
            'capability' => 'edit_theme_options',
        )
    );

	// Site Identity

	$wp_customize->get_section( 'title_tagline' )->panel = 'pixel_charity_nonprofit_header_settings_panel';

	$wp_customize->add_setting(
		'pixel_charity_nonprofit_site_logo',
		array(
			'default'           => false,
			'sanitize_callback' => 'pixel_charity_nonprofit_sanitize_on_off',
		)
	);

	$wp_customize->add_control(
		new Pixel_Charity_Nonprofit_On_Off_Custom_Control(
			$wp_customize,
			'pixel_charity_nonprofit_site_logo',
			array(
				'label'    => esc_html__( 'ON / OFF Site Logo', 'pixel-charity-nonprofit' ),
				'section'  => 'title_tagline',
				'settings' => 'pixel_charity_nonprofit_site_logo',
			)
		)
	);

	$wp_customize->add_setting(
		'pixel_charity_nonprofit_site_title_text',
		array(
			'default'           => true,
			'sanitize_callback' => 'pixel_charity_nonprofit_sanitize_on_off',
		)
	);

	$wp_customize->add_control(
		new Pixel_Charity_Nonprofit_On_Off_Custom_Control(
			$wp_customize,
			'pixel_charity_nonprofit_site_title_text',
			array(
				'label'    => esc_html__( 'ON / OFF Site Title', 'pixel-charity-nonprofit' ),
				'section'  => 'title_tagline',
				'settings' => 'pixel_charity_nonprofit_site_title_text',
			)
		)
	);


	$wp_customize->add_setting(
		'pixel_charity_nonprofit_site_title_font_size',
		array(
			'default'	=> 20,
			'sanitize_callback' => 'pixel_charity_nonprofit_sanitize_number_range',
		)
	);

	$wp_customize->add_control(
		new Pixel_Charity_Nonprofit_Slider(
			$wp_customize,
			'pixel_charity_nonprofit_site_title_font_size',
			array(
				'label'    => esc_html__( 'Site Title Font Size', 'pixel-charity-nonprofit' ),
				'section'  => 'title_tagline',
				'label' => esc_html__('Site Title Font Size', 'pixel-charity-nonprofit'),
    			'input_attrs' => array(
					'reset'			   => 20,
		            'step'             => 1,
					'min'              => 0,
					'max'              => 50,
		        ),
			)
		)
	);

	$wp_customize->add_setting(
		'pixel_charity_nonprofit_site_tagline_text',
		array(
			'default'           => false,
			'sanitize_callback' => 'pixel_charity_nonprofit_sanitize_on_off',
		)
	);

	$wp_customize->add_control(
		new Pixel_Charity_Nonprofit_On_Off_Custom_Control(
			$wp_customize,
			'pixel_charity_nonprofit_site_tagline_text',
			array(
				'label'    => esc_html__( 'ON / OFF Site Tagline', 'pixel-charity-nonprofit' ),
				'section'  => 'title_tagline',
				'settings' => 'pixel_charity_nonprofit_site_tagline_text',
			)
		)
	);


$wp_customize->add_setting(
		'pixel_charity_nonprofit_site_tagline_font_size',
		array(
			'default'	=> 15,
			'sanitize_callback' => 'pixel_charity_nonprofit_sanitize_number_range',
		)
	);

	$wp_customize->add_control(
		new Pixel_Charity_Nonprofit_Slider(
			$wp_customize,
			'pixel_charity_nonprofit_site_tagline_font_size',
			array(
				'label'    => esc_html__( ' Site Tagline Font Size', 'pixel-charity-nonprofit' ),
				'section'  => 'title_tagline',
				'label' => esc_html__('Site Tagline Font Size', 'pixel-charity-nonprofit'),
    			'input_attrs' => array(
					'reset'			   => 15,
		            'step'             => 1,
					'min'              => 0,
					'max'              => 50,
		        ),
			)
		)
	);


	 	//Woo Coomerce
    $wp_customize->add_setting('pixel_charity_nonprofit_per_columns',array(
        'default'=> 3,
        'sanitize_callback' => 'pixel_charity_nonprofit_sanitize_number_absint'
    ));
    $wp_customize->add_control('pixel_charity_nonprofit_per_columns',array(
        'label' => __('Product Per Row','pixel-charity-nonprofit'),
        'section'=> 'woocommerce_product_catalog',
        'type'=> 'number',
        'input_attrs' => array(
            'min' => 1,
            'max' => 6,
            'step' => 1,
        ),
    ));
    $wp_customize->add_setting('pixel_charity_nonprofit_product_per_page',array(
        'default'=> 10,
        'sanitize_callback' => 'pixel_charity_nonprofit_sanitize_number_absint'
    ));
    $wp_customize->add_control('pixel_charity_nonprofit_product_per_page',array(
        'label' => __('Product Per Page','pixel-charity-nonprofit'),
        'section'=> 'woocommerce_product_catalog',
        'type'=> 'number',
        'input_attrs' => array(
            'min' => 1,
            'max' => 20,
            'step' => 1,
        ),
    ));

	$wp_customize->add_section(
        'woocommerce_product_extra_section',
        array(
            'panel'      => 'woocommerce',
            'title'    => esc_html__( 'Extra WooCommerce Settings', 'pixel-charity-nonprofit' ),
        )
    );

    $wp_customize->add_setting( 'pixel_charity_nonprofit_single_product_sidebar', array(
        'default'           => true,
        'transport'         => 'refresh',
        'sanitize_callback' => 'pixel_charity_nonprofit_sanitize_checkbox',
    ) );
    $wp_customize->add_control( new pixel_charity_nonprofit_On_Off_Custom_Control( $wp_customize, 'pixel_charity_nonprofit_single_product_sidebar', array(
        'label'       => esc_html__( 'Show / Hide Product Page Sidebar', 'pixel-charity-nonprofit' ),
        'section'     => 'woocommerce_product_extra_section',
        'type'        => 'toggle',
        'settings'    => 'pixel_charity_nonprofit_single_product_sidebar',
    ) ) );
    
	// Header Options

	$wp_customize->add_section(
		'pixel_charity_nonprofit_header_section',
		array(
			'panel'      => 'pixel_charity_nonprofit_header_settings_panel',
			'title'    => esc_html__( 'Header Options', 'pixel-charity-nonprofit' ),
		)
	);

	//MENU TYPOGRAPHY
	
	$wp_customize->add_setting('pixel_charity_nonprofit_menu_font_weight',array(
        'default' => '',
        'sanitize_callback' => 'pixel_charity_nonprofit_sanitize_choices'
	));
	$wp_customize->add_control('pixel_charity_nonprofit_menu_font_weight',array(
     'type' => 'radio',
     'label'     => __('Menu Font Weight', 'pixel-charity-nonprofit'),
     'section' => 'pixel_charity_nonprofit_header_section',
     'type' => 'select',
     'choices' => array(
         '100' => __('100','pixel-charity-nonprofit'),
         '200' => __('200','pixel-charity-nonprofit'),
         '300' => __('300','pixel-charity-nonprofit'),
         '400' => __('400','pixel-charity-nonprofit'),
         '500' => __('500','pixel-charity-nonprofit'),
         '600' => __('600','pixel-charity-nonprofit'),
         '700' => __('700','pixel-charity-nonprofit'),
         '800' => __('800','pixel-charity-nonprofit'),
         '900' => __('900','pixel-charity-nonprofit')
     ),
	) );
	
	$wp_customize->add_setting('pixel_charity_nonprofit_menu_text_tranform',array(
		'default' => 'Capitalize',
		'sanitize_callback' => 'pixel_charity_nonprofit_sanitize_choices'
 	));
 	$wp_customize->add_control('pixel_charity_nonprofit_menu_text_tranform',array(
		'type' => 'select',
		'label' => __('Menu Text Transform','pixel-charity-nonprofit'),
		'section' => 'pixel_charity_nonprofit_header_section',
		'choices' => array(
		   'Uppercase' => __('Uppercase','pixel-charity-nonprofit'),
		   'Lowercase' => __('Lowercase','pixel-charity-nonprofit'),
		   'Capitalize' => __('Capitalize','pixel-charity-nonprofit'),
		),
	) );
	$wp_customize->add_setting('pixel_charity_nonprofit_menu_font_size', array(
	    'default'	=> 15,
        'sanitize_callback' => 'pixel_charity_nonprofit_sanitize_number_range',
	));
	$wp_customize->add_control(new Pixel_Charity_Nonprofit_Slider($wp_customize, 'pixel_charity_nonprofit_menu_font_size', array(
        'section' => 'pixel_charity_nonprofit_header_section',
        'label' => esc_html__('Menu Font Size', 'pixel-charity-nonprofit'),
        'input_attrs' => array(
					'reset'			   => 15,
		            'step'             => 1,
					'min'              => 0,
					'max'              => 35,
		        ),
	)));

	$wp_customize->add_setting(
		'pixel_charity_nonprofit_sticky_header',
		array(
			'default'           => false,
			'sanitize_callback' => 'pixel_charity_nonprofit_sanitize_on_off',
		)
	);

	$wp_customize->add_control(
		new Pixel_Charity_Nonprofit_On_Off_Custom_Control(
			$wp_customize,
			'pixel_charity_nonprofit_sticky_header',
			array(
				'label'    => esc_html__( 'ON / OFF Sticky Header', 'pixel-charity-nonprofit' ),
				'section'  => 'pixel_charity_nonprofit_header_section',
				'settings' => 'pixel_charity_nonprofit_sticky_header',
			)
		)
	);

    $wp_customize->add_setting(
		'pixel_charity_nonprofit_topbar_section_on_off_setting',
		array(
			'default'           => true,
			'sanitize_callback' => 'pixel_charity_nonprofit_sanitize_on_off',
		)
	);

	$wp_customize->add_control(
		new Pixel_Charity_Nonprofit_On_Off_Custom_Control(
			$wp_customize,
			'pixel_charity_nonprofit_topbar_section_on_off_setting',
			array(
				'label'    => esc_html__( 'ON / OFF Topbar Section', 'pixel-charity-nonprofit' ),
				'section'  => 'pixel_charity_nonprofit_header_section',
				'settings' => 'pixel_charity_nonprofit_topbar_section_on_off_setting',
			)
		)
	);

	$wp_customize->add_setting(
        'pixel_charity_nonprofit_phone_number',
        array(
            'default'           => '(+00)123 56 789 00',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );

	$wp_customize->add_control(
        'pixel_charity_nonprofit_phone_number',
        array(
            'label'           => sprintf( esc_html__( 'Add Phone Number', 'pixel-charity-nonprofit' ), ),
            'section'         => 'pixel_charity_nonprofit_header_section',
            'settings'        => 'pixel_charity_nonprofit_phone_number' ,
            'type'            => 'text',
        )
    );

    $wp_customize->add_setting(
        'pixel_charity_nonprofit_email_address',
        array(
            'default'           => 'charity12@example.com',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );

    $wp_customize->add_control(
        'pixel_charity_nonprofit_email_address',
        array(
            'label'           => sprintf( esc_html__( 'Add Email Address', 'pixel-charity-nonprofit' ), ),
            'section'         => 'pixel_charity_nonprofit_header_section',
            'settings'        => 'pixel_charity_nonprofit_email_address' ,
            'type'            => 'text',
        )
    );

    $wp_customize->add_setting(
        'pixel_charity_nonprofit_announcement',
        array(
            'default'           => 'Every donation made this month will be matched 2x to support children’s education.',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );

	$wp_customize->add_control(
        'pixel_charity_nonprofit_announcement',
        array(
            'label'           => sprintf( esc_html__( 'Add Announcement', 'pixel-charity-nonprofit' ), ),
            'section'         => 'pixel_charity_nonprofit_header_section',
            'settings'        => 'pixel_charity_nonprofit_announcement' ,
            'type'            => 'text',
        )
    );

	// Social Option

	$wp_customize->add_section(
		'pixel_charity_nonprofit_social_section',
		array(
			'panel'      => 'pixel_charity_nonprofit_header_settings_panel',
			'title'    => esc_html__( 'Social Options', 'pixel-charity-nonprofit' ),
		)
	);

    $wp_customize->add_setting(
        'pixel_charity_nonprofit_facebook_url',
        array(
            'default'           => '#',
            'sanitize_callback' => 'esc_url_raw',
        )
    );

	$wp_customize->add_control(
        'pixel_charity_nonprofit_facebook_url',
        array(
            'label'           => sprintf( esc_html__( 'Add Facebook Link', 'pixel-charity-nonprofit' ), ),
            'section'         => 'pixel_charity_nonprofit_social_section',
            'settings'        => 'pixel_charity_nonprofit_facebook_url' ,
            'type'            => 'url',
        )
    );

	$wp_customize->add_setting(
        'pixel_charity_nonprofit_twitter_url',
        array(
            'default'           => '#',
            'sanitize_callback' => 'esc_url_raw',
        )
    );

	$wp_customize->add_control(
        'pixel_charity_nonprofit_twitter_url',
        array(
            'label'           => sprintf( esc_html__( 'Add Twitter Link', 'pixel-charity-nonprofit' ), ),
            'section'         => 'pixel_charity_nonprofit_social_section',
            'settings'        => 'pixel_charity_nonprofit_twitter_url' ,
            'type'            => 'url',
        )
    );

    $wp_customize->add_setting(
        'pixel_charity_nonprofit_instagram_url',
        array(
            'default'           => '#',
            'sanitize_callback' => 'esc_url_raw',
        )
    );

	$wp_customize->add_control(
        'pixel_charity_nonprofit_instagram_url',
        array(
            'label'           => sprintf( esc_html__( 'Add Instagram Link', 'pixel-charity-nonprofit' ), ),
            'section'         => 'pixel_charity_nonprofit_social_section',
            'settings'        => 'pixel_charity_nonprofit_instagram_url' ,
            'type'            => 'url',
        )
    );

    $wp_customize->add_setting(
        'pixel_charity_nonprofit_youtube_url',
        array(
            'default'           => '#',
            'sanitize_callback' => 'esc_url_raw',
        )
    );

	$wp_customize->add_control(
        'pixel_charity_nonprofit_youtube_url',
        array(
            'label'           => sprintf( esc_html__( 'Add Youtube Link', 'pixel-charity-nonprofit' ), ),
            'section'         => 'pixel_charity_nonprofit_social_section',
            'settings'        => 'pixel_charity_nonprofit_youtube_url' ,
            'type'            => 'url',
        )
    );

	$wp_customize->add_setting(
        'pixel_charity_nonprofit_whatsapp_url',
        array(
            'default'           => '#',
            'sanitize_callback' => 'esc_url_raw',
        )
    );

	$wp_customize->add_control(
        'pixel_charity_nonprofit_whatsapp_url',
        array(
            'label'           => sprintf( esc_html__( 'Add Whatsapp Link', 'pixel-charity-nonprofit' ), ),
            'section'         => 'pixel_charity_nonprofit_social_section',
            'settings'        => 'pixel_charity_nonprofit_whatsapp_url' ,
            'type'            => 'url',
        )
    );
	
	// Banner Option

	$wp_customize->add_section(
		'pixel_charity_nonprofit_banner_section',
		array(
			'panel'      => 'pixel_charity_nonprofit_frontpage_sections_settings_panel',
			'title'    => esc_html__( 'Banner Options', 'pixel-charity-nonprofit' ),
		)
	);

    $wp_customize->add_setting(
		'pixel_charity_nonprofit_banner_section_on_off_setting',
		array(
			'default'           => false,
			'sanitize_callback' => 'pixel_charity_nonprofit_sanitize_on_off',
		)
	);

	$wp_customize->add_control(
		new Pixel_Charity_Nonprofit_On_Off_Custom_Control(
			$wp_customize,
			'pixel_charity_nonprofit_banner_section_on_off_setting',
			array(
				'label'    => esc_html__( 'ON / OFF Banner Section', 'pixel-charity-nonprofit' ),
				'section'  => 'pixel_charity_nonprofit_banner_section',
				'settings' => 'pixel_charity_nonprofit_banner_section_on_off_setting',
			)
		)
	);

	$wp_customize->add_setting(
		'pixel_charity_nonprofit_banner_heading',
		array(
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'pixel_charity_nonprofit_banner_heading',
		array(
			'label'           => sprintf( esc_html__( 'Banner Heading', 'pixel-charity-nonprofit' ), ),
			'section'         => 'pixel_charity_nonprofit_banner_section',
			'settings'        => 'pixel_charity_nonprofit_banner_heading',
			'type'            => 'text',
		)
	);

	$wp_customize->add_setting(
		'pixel_charity_nonprofit_banner_content',
		array(
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'pixel_charity_nonprofit_banner_content',
		array(
			'label'           => sprintf( esc_html__( 'Banner Content', 'pixel-charity-nonprofit' ), ),
			'section'         => 'pixel_charity_nonprofit_banner_section',
			'settings'        => 'pixel_charity_nonprofit_banner_content',
			'type'            => 'text',
		)
	);

    $wp_customize->add_setting(
        'pixel_charity_nonprofit_banner_btn1',
        array(
            'default'           => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );

    $wp_customize->add_control(
        'pixel_charity_nonprofit_banner_btn1',
        array(
            'label'           => sprintf( esc_html__( 'Banner Button 1', 'pixel-charity-nonprofit' ), ),
            'section'         => 'pixel_charity_nonprofit_banner_section',
            'settings'        => 'pixel_charity_nonprofit_banner_btn1',
            'type'            => 'text',
        )
    );

	$wp_customize->add_setting(
		'pixel_charity_nonprofit_banner_button_link1',
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'pixel_charity_nonprofit_banner_button_link1',
		array(
			'label'           => sprintf( esc_html__( 'Banner Button Link 1', 'pixel-charity-nonprofit' ), ),
			'section'         => 'pixel_charity_nonprofit_banner_section',
			'settings'        => 'pixel_charity_nonprofit_banner_button_link1',
			'type'            => 'url',
		)
	);

	$wp_customize->add_setting(
        'pixel_charity_nonprofit_banner_btn2',
        array(
            'default'           => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );

    $wp_customize->add_control(
        'pixel_charity_nonprofit_banner_btn2',
        array(
            'label'           => sprintf( esc_html__( 'Banner Button 2', 'pixel-charity-nonprofit' ), ),
            'section'         => 'pixel_charity_nonprofit_banner_section',
            'settings'        => 'pixel_charity_nonprofit_banner_btn2',
            'type'            => 'text',
        )
    );

	$wp_customize->add_setting(
		'pixel_charity_nonprofit_banner_button_link2',
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'pixel_charity_nonprofit_banner_button_link2',
		array(
			'label'           => sprintf( esc_html__( 'Banner Button Link 2', 'pixel-charity-nonprofit' ), ),
			'section'         => 'pixel_charity_nonprofit_banner_section',
			'settings'        => 'pixel_charity_nonprofit_banner_button_link2',
			'type'            => 'url',
		)
	);

	$wp_customize->add_setting(
	    'pixel_charity_nonprofit_slider',
	    array(
	        'default'           => '',
	        'sanitize_callback' => 'pixel_charity_nonprofit_sanitize_number',
	    )
	);

	$wp_customize->add_control(
	    'pixel_charity_nonprofit_slider',
	    array(
	        'label'       => esc_html__( 'No of banner', 'pixel-charity-nonprofit' ),
	        'section'     => 'pixel_charity_nonprofit_banner_section',
	        'settings'    => 'pixel_charity_nonprofit_slider',
	        'type'        => 'number',
	        'input_attrs' => array(
	            'min' => 1,
	            'max' => 6,
	        ),
	    )
	);

	$pixel_charity_nonprofit_banner = get_theme_mod( 'pixel_charity_nonprofit_slider');
	for ( $i = 1; $i <= $pixel_charity_nonprofit_banner; $i++ ){		
		$wp_customize->add_setting(
			'pixel_charity_nonprofit_banner_image'.$i,
			array(
	        	'default'           => '',
	        	'sanitize_callback' => 'pixel_charity_nonprofit_sanitize_image',

	    	)
	    );
	    
	    $wp_customize->add_control(
	     	new WP_Customize_Image_Control(
	    		$wp_customize, 'pixel_charity_nonprofit_banner_image'.$i, 
	    		array(
	    			'label'           => sprintf( esc_html__( 'Banner Image 0', 'pixel-charity-nonprofit' ).$i, ),
			        'settings'  => 'pixel_charity_nonprofit_banner_image'.$i,
			        'section'   => 'pixel_charity_nonprofit_banner_section'
	    		) 
	    	)
	    );
	}


    // Donation Option

	$wp_customize->add_section(
		'pixel_charity_nonprofit_services_section',
		array(
			'panel'      => 'pixel_charity_nonprofit_frontpage_sections_settings_panel',
			'title'    => esc_html__( 'Donation Options', 'pixel-charity-nonprofit' ),
		)
	);

    $wp_customize->add_setting(
		'pixel_charity_nonprofit_services_section_on_off_setting',
		array(
			'default'           => false,
			'sanitize_callback' => 'pixel_charity_nonprofit_sanitize_on_off',
		)
	);

	$wp_customize->add_control(
		new Pixel_Charity_Nonprofit_On_Off_Custom_Control(
			$wp_customize,
			'pixel_charity_nonprofit_services_section_on_off_setting',
			array(
				'label'    => esc_html__( 'ON / OFF Popular Causes Section', 'pixel-charity-nonprofit' ),
				'section'  => 'pixel_charity_nonprofit_services_section',
				'settings' => 'pixel_charity_nonprofit_services_section_on_off_setting',
			)
		)
	);    

	$wp_customize->add_setting(
		'pixel_charity_nonprofit_donate_image_1',
		array(
        	'default'           => '',
        	'sanitize_callback' => 'pixel_charity_nonprofit_sanitize_image',

    	)
    );
    
    $wp_customize->add_control(
     	new WP_Customize_Image_Control(
    		$wp_customize, 'pixel_charity_nonprofit_donate_image_1', 
    		array(
    			'label'           => sprintf( esc_html__( 'Image 1', 'pixel-charity-nonprofit' ), ),
		        'settings'  => 'pixel_charity_nonprofit_donate_image_1',
		        'section'   => 'pixel_charity_nonprofit_services_section'
    		) 
    	)
    );

    $wp_customize->add_setting(
		'pixel_charity_nonprofit_donate_image_2',
		array(
        	'default'           => '',
        	'sanitize_callback' => 'pixel_charity_nonprofit_sanitize_image',

    	)
    );
    
    $wp_customize->add_control(
     	new WP_Customize_Image_Control(
    		$wp_customize, 'pixel_charity_nonprofit_donate_image_2', 
    		array(
    			'label'           => sprintf( esc_html__( 'Image 2', 'pixel-charity-nonprofit' ), ),
		        'settings'  => 'pixel_charity_nonprofit_donate_image_2',
		        'section'   => 'pixel_charity_nonprofit_services_section'
    		) 
    	)
    );

    $wp_customize->add_setting(
		'pixel_charity_nonprofit_donate_image_3',
		array(
        	'default'           => '',
        	'sanitize_callback' => 'pixel_charity_nonprofit_sanitize_image',

    	)
    );
    
    $wp_customize->add_control(
     	new WP_Customize_Image_Control(
    		$wp_customize, 'pixel_charity_nonprofit_donate_image_3', 
    		array(
    			'label'           => sprintf( esc_html__( 'Image 3', 'pixel-charity-nonprofit' ), ),
		        'settings'  => 'pixel_charity_nonprofit_donate_image_3',
		        'section'   => 'pixel_charity_nonprofit_services_section'
    		) 
    	)
    );

    $wp_customize->add_setting(
		'pixel_charity_nonprofit_donate_image_4',
		array(
        	'default'           => '',
        	'sanitize_callback' => 'pixel_charity_nonprofit_sanitize_image',

    	)
    );
    
    $wp_customize->add_control(
     	new WP_Customize_Image_Control(
    		$wp_customize, 'pixel_charity_nonprofit_donate_image_4', 
    		array(
    			'label'           => sprintf( esc_html__( 'Image 4', 'pixel-charity-nonprofit' ), ),
		        'settings'  => 'pixel_charity_nonprofit_donate_image_4',
		        'section'   => 'pixel_charity_nonprofit_services_section'
    		) 
    	)
    );

    $wp_customize->add_setting(
        'pixel_charity_nonprofit_donate_heading',
        array(
            'default'           => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );

    $wp_customize->add_control(
        'pixel_charity_nonprofit_donate_heading',
        array(
            'label'           => sprintf( esc_html__( 'Section Heading', 'pixel-charity-nonprofit' ), ),
            'section'         => 'pixel_charity_nonprofit_services_section',
            'settings'        => 'pixel_charity_nonprofit_donate_heading' ,
            'type'            => 'text',
        )
    );

    $wp_customize->add_setting(
        'pixel_charity_nonprofit_donate_extra_heading',
        array(
            'default'           => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );

    $wp_customize->add_control(
        'pixel_charity_nonprofit_donate_extra_heading',
        array(
            'label'           => sprintf( esc_html__( 'Section Extra Heading', 'pixel-charity-nonprofit' ), ),
            'section'         => 'pixel_charity_nonprofit_services_section',
            'settings'        => 'pixel_charity_nonprofit_donate_extra_heading' ,
            'type'            => 'text',
        )
    );

    $wp_customize->add_setting(
        'pixel_charity_nonprofit_donate_location',
        array(
            'default'           => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );

    $wp_customize->add_control(
        'pixel_charity_nonprofit_donate_location',
        array(
            'label'           => sprintf( esc_html__( 'Add Location', 'pixel-charity-nonprofit' ), ),
            'section'         => 'pixel_charity_nonprofit_services_section',
            'settings'        => 'pixel_charity_nonprofit_donate_location' ,
            'type'            => 'text',
        )
    );

    $wp_customize->add_setting(
        'pixel_charity_nonprofit_donate_timing',
        array(
            'default'           => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );

    $wp_customize->add_control(
        'pixel_charity_nonprofit_donate_timing',
        array(
            'label'           => sprintf( esc_html__( 'Add Timing', 'pixel-charity-nonprofit' ), ),
            'section'         => 'pixel_charity_nonprofit_services_section',
            'settings'        => 'pixel_charity_nonprofit_donate_timing' ,
            'type'            => 'text',
        )
    );

    $wp_customize->add_setting(
        'pixel_charity_nonprofit_donate_opening',
        array(
            'default'           => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );

    $wp_customize->add_control(
        'pixel_charity_nonprofit_donate_opening',
        array(
            'label'           => sprintf( esc_html__( 'Add Opening Days', 'pixel-charity-nonprofit' ), ),
            'section'         => 'pixel_charity_nonprofit_services_section',
            'settings'        => 'pixel_charity_nonprofit_donate_opening' ,
            'type'            => 'text',
        )
    );

    $wp_customize->add_setting(
        'pixel_charity_nonprofit_donate_minimum_donation',
        array(
            'default'           => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );

    $wp_customize->add_control(
        'pixel_charity_nonprofit_donate_minimum_donation',
        array(
            'label'           => sprintf( esc_html__( 'Add Minimum Donation Amount', 'pixel-charity-nonprofit' ), ),
            'section'         => 'pixel_charity_nonprofit_services_section',
            'settings'        => 'pixel_charity_nonprofit_donate_minimum_donation' ,
            'type'            => 'text',
        )
    );

    $wp_customize->add_setting(
        'pixel_charity_nonprofit_donate_starting_amount',
        array(
            'default'           => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );

    $wp_customize->add_control(
        'pixel_charity_nonprofit_donate_starting_amount',
        array(
            'label'           => sprintf( esc_html__( 'Add Starting Donation Amount', 'pixel-charity-nonprofit' ), ),
            'section'         => 'pixel_charity_nonprofit_services_section',
            'settings'        => 'pixel_charity_nonprofit_donate_starting_amount' ,
            'type'            => 'text',
        )
    );

    $wp_customize->add_setting(
        'pixel_charity_nonprofit_donate_btn2',
        array(
            'default'           => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );

    $wp_customize->add_control(
        'pixel_charity_nonprofit_donate_btn2',
        array(
            'label'           => sprintf( esc_html__( 'Add Button Text', 'pixel-charity-nonprofit' ), ),
            'section'         => 'pixel_charity_nonprofit_services_section',
            'settings'        => 'pixel_charity_nonprofit_donate_btn2' ,
            'type'            => 'text',
        )
    );

    $wp_customize->add_setting(
        'pixel_charity_nonprofit_donate_button_link2',
        array(
            'default'           => '',
            'sanitize_callback' => 'esc_url_raw',
        )
    );

    $wp_customize->add_control(
        'pixel_charity_nonprofit_donate_button_link2',
        array(
            'label'           => sprintf( esc_html__( 'Add Button URL', 'pixel-charity-nonprofit' ), ),
            'section'         => 'pixel_charity_nonprofit_services_section',
            'settings'        => 'pixel_charity_nonprofit_donate_button_link2' ,
            'type'            => 'text',
        )
    );

	// Global Color Options

	$wp_customize->add_section(
		'pixel_charity_nonprofit_global_color_section',
		array(
			'panel'      => 'pixel_charity_nonprofit_general_settings_panel',
			'title'    => esc_html__( 'Global Color Options', 'pixel-charity-nonprofit' ),
		)
	);

	$wp_customize->add_setting(
		'pixel_charity_nonprofit_global_color',
		array(
			'default'           => '#ee9633',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'pixel_charity_nonprofit_global_color',
			array(
				'label'    => __( 'Global Color One', 'pixel-charity-nonprofit' ),
				'section'  => 'pixel_charity_nonprofit_global_color_section',
			)
		)
	);

	$wp_customize->add_setting(
		'pixel_charity_nonprofit_global_colortwo',
		array(
			'default'           => '#025548',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'pixel_charity_nonprofit_global_colortwo',
			array(
				'label'    => __( 'Global Color Two', 'pixel-charity-nonprofit' ),
				'section'  => 'pixel_charity_nonprofit_global_color_section',
			)
		)
	);

	// Global Font Family Options

	$wp_customize->add_section(
		'pixel_charity_nonprofit_global_font_section',
		array(
			'panel'      => 'pixel_charity_nonprofit_general_settings_panel',
			'title'    => esc_html__( 'Global Font Family Options', 'pixel-charity-nonprofit' ),
		)
	);

	$wp_customize->add_setting(
		'pixel_charity_nonprofit_global_font_setting',
		array(
			'default'           => '',
			'sanitize_callback' => 'pixel_charity_nonprofit_sanitize_google_fonts',
		)
	);
	
	$wp_customize->add_control(
		'pixel_charity_nonprofit_global_font_setting',
		array(
			'label'    => esc_html__( 'Global Font Family', 'pixel-charity-nonprofit' ),
			'section'  => 'pixel_charity_nonprofit_global_font_section',
			'settings' => 'pixel_charity_nonprofit_global_font_setting',
			'type'     => 'select',
			'choices'  => pixel_charity_nonprofit_get_all_google_font_families(),
		)
	);

    // Footer Option

	$wp_customize->add_section(
        'pixel_charity_nonprofit_footer_widgets_section',
        array(
            'panel'      => 'pixel_charity_nonprofit_footer_settings_panel',
            'title'    => esc_html__( 'Footer Widgets Options', 'pixel-charity-nonprofit' ),
        )
    );

	$wp_customize->add_setting(
		'pixel_charity_nonprofit_footer_widgets_section_on_off_setting',
		array(
			'default'           => true,
			'sanitize_callback' => 'pixel_charity_nonprofit_sanitize_on_off',
		)
	);

	$wp_customize->add_control(
		new Pixel_Charity_Nonprofit_On_Off_Custom_Control(
			$wp_customize,
			'pixel_charity_nonprofit_footer_widgets_section_on_off_setting',
			array(
				'label'    => esc_html__( 'ON / OFF Footer Widgets', 'pixel-charity-nonprofit' ),
				'section'  => 'pixel_charity_nonprofit_footer_widgets_section',
				'settings' => 'pixel_charity_nonprofit_footer_widgets_section_on_off_setting',
			)
		)
	);

	$wp_customize->add_setting( 'pixel_charity_nonprofit_footer_widget_background_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'pixel_charity_nonprofit_footer_widget_background_color', array(
		'label'     => __('Footer Widget Background Color', 'pixel-charity-nonprofit'),
		'description' => __('It will change the complete footer widget background color.', 'pixel-charity-nonprofit'),
		'section' => 'pixel_charity_nonprofit_footer_widgets_section',
		'settings' => 'pixel_charity_nonprofit_footer_widget_background_color',
	)));

	$wp_customize->add_setting('pixel_charity_nonprofit_footer_widget_background_image',array(
		'default'   => '',
		'sanitize_callback' => 'esc_url_raw',
	));
	$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'pixel_charity_nonprofit_footer_widget_background_image',array(
		'label' => __('Footer Widget Background Image','pixel-charity-nonprofit'),
		'section' => 'pixel_charity_nonprofit_footer_widgets_section'
	)));

	$wp_customize->add_setting('pixel_charity_nonprofit_footer_widget_text_position',array(
        'default' => 'Left',
        'sanitize_callback' => 'pixel_charity_nonprofit_sanitize_choices'
    ));
    $wp_customize->add_control('pixel_charity_nonprofit_footer_widget_text_position',array(
        'type' => 'radio',
        'label'     => __('Footer Widget Position', 'pixel-charity-nonprofit'),
        'description'   => __('This option work for footer widget', 'pixel-charity-nonprofit'),
		'section' => 'pixel_charity_nonprofit_footer_widgets_section',
		'choices' => array(
            'Right' => __('Right','pixel-charity-nonprofit'),
            'Left' => __('Left','pixel-charity-nonprofit'),
            'Center' => __('Center','pixel-charity-nonprofit')
     ),
    ) );
	
	$wp_customize->add_section(
        'pixel_charity_nonprofit_copyright_section',
        array(
            'panel'      => 'pixel_charity_nonprofit_footer_settings_panel',
            'title'    => esc_html__( 'Copyright Options', 'pixel-charity-nonprofit' ),
        )
    );

	$wp_customize->add_setting(
		'pixel_charity_nonprofit_copyright_section_on_off_setting',
		array(
			'default'           => true,
			'sanitize_callback' => 'pixel_charity_nonprofit_sanitize_on_off',
		)
	);

	$wp_customize->add_control(
		new Pixel_Charity_Nonprofit_On_Off_Custom_Control(
			$wp_customize,
			'pixel_charity_nonprofit_copyright_section_on_off_setting',
			array(
				'label'    => esc_html__( 'ON / OFF Copyright', 'pixel-charity-nonprofit' ),
				'section'  => 'pixel_charity_nonprofit_copyright_section',
				'settings' => 'pixel_charity_nonprofit_copyright_section_on_off_setting',
			)
		)
	);

    $wp_customize->add_setting(
        'pixel_charity_nonprofit_footer_text',
        array(
            'default'           => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );

    $wp_customize->add_control(
        'pixel_charity_nonprofit_footer_text',
        array(
            'label'           => sprintf( esc_html__( 'Edit Copyright Text', 'pixel-charity-nonprofit' ), ),
            'section'         => 'pixel_charity_nonprofit_copyright_section',
            'settings'        => 'pixel_charity_nonprofit_footer_text' ,
            'type'            => 'text',
        )
    );

	$wp_customize->add_setting( 'pixel_charity_nonprofit_footer_copyright_background_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'pixel_charity_nonprofit_footer_copyright_background_color', array(
		'label'     => __('Copyright Background Color', 'pixel-charity-nonprofit'),
		'description' => __('It will change the complete copyright background color.', 'pixel-charity-nonprofit'),
		'section' => 'pixel_charity_nonprofit_copyright_section',
		'settings' => 'pixel_charity_nonprofit_footer_copyright_background_color',
	)));

	$wp_customize->add_setting('pixel_charity_nonprofit_copyright_text_position',array(
        'default' => 'Center',
        'sanitize_callback' => 'pixel_charity_nonprofit_sanitize_choices'
    ));
    $wp_customize->add_control('pixel_charity_nonprofit_copyright_text_position',array(
        'type' => 'radio',
        'label'     => __('Copyright Position', 'pixel-charity-nonprofit'),
        'description'   => __('This option work for copyright', 'pixel-charity-nonprofit'),
		'section' => 'pixel_charity_nonprofit_copyright_section',
		'choices' => array(
            'Right' => __('Right','pixel-charity-nonprofit'),
            'Left' => __('Left','pixel-charity-nonprofit'),
            'Center' => __('Center','pixel-charity-nonprofit')
     ),
    ) );

    // Add Settings and Controls for Scroll top
    $wp_customize->add_setting('pixel_charity_nonprofit_scroll_top_position',array(
        'default' => 'Right',
        'sanitize_callback' => 'pixel_charity_nonprofit_sanitize_choices'
    ));
    $wp_customize->add_control('pixel_charity_nonprofit_scroll_top_position',array(
        'type' => 'radio',
        'label'     => __('Scroll to top Position', 'pixel-charity-nonprofit'),
        'description'   => __('This option work for scroll to top', 'pixel-charity-nonprofit'),
       'section' => 'pixel_charity_nonprofit_copyright_section',
       'choices' => array(
            'Right' => __('Right','pixel-charity-nonprofit'),
            'Left' => __('Left','pixel-charity-nonprofit'),
            'Center' => __('Center','pixel-charity-nonprofit')
     ),
    ) );


}
add_action( 'customize_register', 'pixel_charity_nonprofit_customize_register' );

/**
 * Create the site title for the partial selective refresh.
 *
 * @return void
 */
function pixel_charity_nonprofit_customize_partial_blogname() {
	bloginfo( 'name' );
}

/**
 * Create the website's slogan for the partial selective refresh.
 *
 * @return void
 */
function pixel_charity_nonprofit_customize_partial_blogdescription() {
	bloginfo( 'description' );
}

/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class Pixel_Charity_Nonprofit_Customize_Buttons {
	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function pixel_charity_nonprofit_get_instance() {

		static $pixel_charity_nonprofit_instance = null;

		if ( is_null( $pixel_charity_nonprofit_instance ) ) {
			$pixel_charity_nonprofit_instance = new self;
			$pixel_charity_nonprofit_instance->pixel_charity_nonprofit_setup_actions();
		}

		return $pixel_charity_nonprofit_instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function pixel_charity_nonprofit_setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $pixel_charity_nonprofit_manager
	 * @return void
	*/
	public function sections( $pixel_charity_nonprofit_manager ) {
		load_template( trailingslashit( get_template_directory() ) . '/inc/pixel-charity-nonprofit-section-pro.php' );

		$pixel_charity_nonprofit_manager->register_section_type( 'Pixel_Charity_Nonprofit_Customize_Section_Pro' );

		$pixel_charity_nonprofit_manager->add_section( new Pixel_Charity_Nonprofit_Customize_Section_Pro( $pixel_charity_nonprofit_manager,'pixel_charity_nonprofit_buy_now', array(
			'priority'   => 1,
			'title'    => esc_html__( 'Buy Pixel Charity Nonprofit Pro', 'pixel-charity-nonprofit' ),
			'pro_text' => esc_html__( 'Buy Pro Theme', 'pixel-charity-nonprofit' ),
			'pro_url'    => esc_url( PIXEL_CHARITY_NONPROFIT_BUY_NOW ),
		) )	);	
		
		$pixel_charity_nonprofit_manager->add_section( new Pixel_Charity_Nonprofit_Customize_Section_Pro( $pixel_charity_nonprofit_manager, 'pixel_charity_nonprofit_live_demo', array(
		    'priority'   => 1,
		    'title'      => esc_html__( 'Preview Pro Theme', 'pixel-charity-nonprofit' ),
		    'pro_text'   => esc_html__( 'View Live Demo', 'pixel-charity-nonprofit' ),
		    'pro_url'    => esc_url( PIXEL_CHARITY_NONPROFIT_LIVE_DEMO ),
		) ) );	
	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {

		wp_enqueue_script( 'pixel-charity-nonprofit-customize-controls', trailingslashit( get_template_directory_uri() ) . '/assets/js/customize-controls.js', array( 'customize-controls' ) );

		wp_enqueue_style( 'pixel-charity-nonprofit-customize-controls', trailingslashit( get_template_directory_uri() ) . '/assets/css/customize-controls.css' );
	}
}
Pixel_Charity_Nonprofit_Customize_Buttons::pixel_charity_nonprofit_get_instance();